=== debian/changelog ===
nheko (0.10.0-1build2) kinetic; urgency=medium

  * No-change rebuild against libevent-core-2.1-7a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 21:23:12 +0000

nheko (0.10.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:05:57 +0000

nheko (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: recommend kimageformat-plugins and qt5-image-formats-plugins
    to handle more image formats

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 05 Aug 2022 11:33:33 -0400

nheko (0.9.3+ds-1) unstable; urgency=medium

  * Add extra orig tarballs as a gbp components (Closes: #1013974)
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 28 Jun 2022 21:27:17 +0530
