## nheko 0.10.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,10 +26,10 @@
 option(HUNTER_ENABLED "Enable Hunter package manager" OFF)
 include("cmake/HunterGate.cmake")
 HunterGate(
-	URL "https://github.com/cpp-pm/hunter/archive/v0.23.305.tar.gz"
-	SHA1 "fc8d7a6dac2fa23681847b3872d88d3839b657b0"
-	LOCAL
-	)
+    URL "https://github.com/cpp-pm/hunter/archive/v0.24.3.tar.gz"
+    SHA1 "10738b59e539818a01090e64c2d09896247530c7"
+		LOCAL
+)
 
 macro(hunter_add_package_safe)
 	set(pkg_temp_backup_libdir "$ENV{PKG_CONFIG_LIBDIR}")
@@ -108,7 +108,7 @@
 
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
 set(CPACK_PACKAGE_VERSION_MINOR "10")
-set(CPACK_PACKAGE_VERSION_PATCH "0")
+set(CPACK_PACKAGE_VERSION_PATCH "2")
 set(PROJECT_VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR})
 set(PROJECT_VERSION_MINOR ${CPACK_PACKAGE_VERSION_MINOR})
 set(PROJECT_VERSION_PATCH ${CPACK_PACKAGE_VERSION_PATCH})
@@ -266,7 +266,6 @@
 		"${CMAKE_CXX_FLAGS} \
 		-Wall \
 		-Wextra \
-		-pipe \
 		-pedantic \
 		-fsized-deallocation \
 		-fdiagnostics-color=always \
@@ -388,6 +387,8 @@
 	src/ui/NhekoGlobalObject.h
 	src/ui/RoomSettings.cpp
 	src/ui/RoomSettings.h
+	src/ui/RoomSummary.cpp
+	src/ui/RoomSummary.h
 	src/ui/Theme.cpp
 	src/ui/Theme.h
 	src/ui/ThemeManager.cpp
@@ -407,4 +408,3 @@
 	src/encryption/DeviceVerificationFlow.cpp
 	src/encryption/DeviceVerificationFlow.h
 	src/encryption/Olm.cpp
-	src/encryption/Olm.h
