=== debian/changelog ===
nheko (0.10.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * debian/control: build-depend on docbook-xsl, otherwise xsltproc tries to
    fetch from the network.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 07 Nov 2022 11:47:11 -0500

nheko (0.10.2-1) unstable; urgency=medium

  * Team upload.
  * Do not force upstream version name in debian/gbp.conf
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Do not parse debian/changelog in debian/rules
  * Do not parse d/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Lower memory requirements on architectures with only 2 GB address
    space (Thanks for the hint to Mathieu Malaterre)
    Closes: #1017752

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 10:56:43 +0200

nheko (0.10.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version (also mtxclient was bumped to version 0.8.2)
  * Fix watch file
  * Check debian/copyright
  * Add debian/salsa-ci.yml

 -- Andreas Tille <tille@debian.org>  Wed, 28 Sep 2022 12:12:46 +0200
