## nheko 0.11.1

=== debian/changelog ===
nheko (0.11.1-1) unstable; urgency=medium

  * New upstream version.
  * debian/control: update dependencies (Thanks to Pablo Barciela)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 07 Feb 2023 21:29:48 -0500
