=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: asciidoc-base,
                cmake (>= 3.15),
                debhelper-compat (=13),
-               docbook-xsl,
                dh-exec,
                libcmark-dev (>= 0.29),
                libcurl4-openssl-dev,
@@ -18,6 +17,7 @@
                libnice-dev,
                libolm-dev (>= 3.2.7~),
                libqt5svg5-dev,
+               libre2-dev,
                libspdlog-dev,
                libsodium-dev,
                libssl-dev,
@@ -50,6 +50,7 @@
          qml-module-qtquick2,
          qml-module-qtquick-controls2,
          qml-module-qtquick-layouts,
+         qml-module-qtquick-particles2,
          qml-module-qtquick-window2,
          gstreamer1.0-nice,
          gstreamer1.0-qt5,
