=== debian/changelog ===
nheko (0.11.3-2) unstable; urgency=medium

  * debian/control: Downgrade gstreamer1.0-vaapi to a Suggests.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 23 Mar 2023 12:17:45 -0400

nheko (0.11.3-1) unstable; urgency=medium

  * New upstream version.

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 22 Feb 2023 21:07:56 -0500

nheko (0.11.2-1) unstable; urgency=medium

  * New upstream version.
  * Use system cpp-httplib instead of bundled version.
  * debian/copyright: add info about third_party directory

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 21 Feb 2023 20:08:30 -0500
