=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                debhelper-compat (=13),
                dh-exec,
                libcmark-dev (>= 0.29),
+               libcpp-httplib-dev,
                libcurl4-openssl-dev,
                libevent-dev,
                libgstreamer1.0-dev (>= 1.18.0),
@@ -53,12 +54,12 @@
          qml-module-qtquick-particles2,
          qml-module-qtquick-window2,
          gstreamer1.0-nice,
-         gstreamer1.0-qt5,
-         gstreamer1.0-vaapi
+         gstreamer1.0-qt5
 Recommends: ca-certificates,
             fonts-noto-color-emoji,
             kimageformat-plugins,
             qt5-image-formats-plugins
+Suggests: gstreamer1.0-vaapi
 Description: desktop IM client for the Matrix protocol
  Nheko is a Qt-based chat client for Matrix, an open, federated communications
  protocol.  The motivation behind the project is to provide a native desktop
